For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Platform docsVideosCommunitySign up
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
  • Management API
    • Reference
        • POSTCreateSipRegistration
        • POSTUpdateSipRegistration
        • POSTBindSipRegistration
        • POSTDeleteSipRegistration
        • POSTGetSipRegistrations
    • Authorization
    • Errors
  • Web SDK
    • Overview
  • Android SDK
    • Overview
  • Android SDK v3
    • Overview
  • iOS SDK
    • Overview
  • React Native SDK
    • Overview
  • Flutter SDK
    • Overview
LogoLogo
Platform docsVideosCommunitySign up
Management APIReferenceSip Registration

BindSipRegistration

||View as Markdown|
POST
https://api.voximplant.com/platform_api/BindSipRegistration
POST
/platform_api/BindSipRegistration
$curl -X POST "https://api.voximplant.com/platform_api/BindSipRegistration?sip_registration_id=1&application_id=123&bind=true" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Success
1{
2 "result": 1
3}
Bind the SIP registration to the application/user or unbind the SIP registration from the application/user. You should specify the application_id or application_name if you specify the rule_name or user_id, or user_name. You should specify the sip_registration_id if you set bind=true. You can bind only one SIP registration to the user (the previous SIP registration is automatically unbound). Allowed roles: `Owner`, `Admin`, `Developer`. **Example request:** Bind SIP registration with id 1 to application with id 123.
Was this page helpful?
Previous

UpdateSipRegistration

Next

DeleteSipRegistration

Built with

Bind the SIP registration to the application/user or unbind the SIP registration from the application/user. You should specify the application_id or application_name if you specify the rule_name or user_id, or user_name. You should specify the sip_registration_id if you set bind=true. You can bind only one SIP registration to the user (the previous SIP registration is automatically unbound).

Allowed roles: Owner, Admin, Developer.

Example request: Bind SIP registration with id 1 to application with id 123.

Authentication

AuthorizationBearer

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.

Query parameters

sip_registration_idintegerOptional
The registration ID
application_idintegerOptional

The application ID which the SIP registration is to be bound to. Can be used instead of the application_name parameter

application_namestringOptional

The application name which the SIP registration is to be bound to. Can be used instead of the application_id parameter

rule_idintegerOptional

The rule ID which the SIP registration is to be bound to. Can be used instead of the rule_name parameter

rule_namestringOptional

The rule name which the SIP registration is to be bound to. Can be used instead of the rule_id parameter

user_idintegerOptional

The user ID which the SIP registration is to be bound to. Can be used instead of the user_name parameter

user_namestringOptional

The user name which the SIP registration is to be bound to. Can be used instead of the user_id parameter

bindbooleanOptionalDefaults to true

Whether to bind or unbind (set true or false respectively)

Response

Successful response
resultinteger
Returns 1 if the request has been completed successfully